Get Gas Price
POST
Retrieves the current Gas Price.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Responses
highstringrequired
Indicates the highest price of the current Gas Price. Provided as a decimal string.averagestringrequired
Indicates the average price of the current Gas Price. Provided as a decimal string.lowstringrequired
Indicates the lowest price of the current Gas Price. Provided as a decimal string.latestBlockstringrequired
Indicates the latest block. Provided as a decimal string.baseFeestringrequired
Indicates the base fee of the latest block. Provided as a decimal string.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "MISSING_REQUIRED_PARAMETER","message": "Missing required parameter: { PARAMETER_NAME }"}
cURL
curl -X POST 'https://web3.nodit.io/v1/avalanche/mainnet/blockchain/getGasPrice' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{}'